## Retrieve operations and features as OpenAPI schemas `client.APIGateway.Schemas.List(ctx, params) (*SchemaListResponse, error)` **get** `/zones/{zone_id}/api_gateway/schemas` Retrieve operations and features as OpenAPI schemas ### Parameters - `params SchemaListParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Feature param.Field[[]SchemaListParamsFeature]` Query param: Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning. - `const SchemaListParamsFeatureThresholds SchemaListParamsFeature = "thresholds"` - `const SchemaListParamsFeatureParameterSchemas SchemaListParamsFeature = "parameter_schemas"` - `const SchemaListParamsFeatureSchemaInfo SchemaListParamsFeature = "schema_info"` - `Host param.Field[[]string]` Query param: Receive schema only for the given host(s). ### Returns - `type SchemaListResponse struct{…}` - `Schemas []unknown` - `Timestamp string` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) schemas, err := client.APIGateway.Schemas.List(context.TODO(), api_gateway.SchemaListParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", schemas.Schemas) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "schemas": [ { "info": { "title": "OpenAPI JSON schema for www.example.com", "version": "1.0" }, "openapi": "3.0.0", "paths": { "... Further paths ...": {}, "/api/v1/users/{var1}": { "get": { "parameters": [ { "in": "path", "name": "var1", "required": true, "schema": { "type": "string" } } ] } } }, "servers": [ { "url": "www.example.com" } ] } ], "timestamp": "timestamp" }, "success": true } ```